# addRoot

Registers the top-level domain, which can be added by the Neo Committee only. You need to input the committee multi-signature address signature to generate a new transaction.

> \[!Note]
>
> Currently only ".neo" is supported.

***

### Parameters

| Name | Type   | Description                | Required |
| ---- | ------ | -------------------------- | -------- |
| root | String | The top-level domain name. | Required |

### Example

Request body

```json5
curl --request POST \
  --url http://seed1t4.neo.org:20332/ \
  --header 'Content-Type: application/json' \
  --data '{
  "jsonrpc": "2.0",
  "method": "invokefunction",
  "params": [ "0x152fa9ceeb2c83f40e3d3d6da6c1f8898dd4891a", "addRoot",
                         [{"type":"String","value":"test"}],
    [
      {
        "account": "Nfm8y1ZQMmiMwBQhzYqS9cfu3sX4ESAT5g",
        "scopes": "CalledByEntry"
      }
    ]
],
  "id": 1
}
'
```

Response body

```json5
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "script": "DAR0ZXN0EcAfDAdhZGRSb290DBQaidSNifjBpm09PQ70gyzrzqkvFUFifVtS",
        "state": "HALT",
        "gasconsumed": "524180",
        "exception": null,
        "stack": [
            {
                "type": "Any"
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neo.link/reference/api-reference/addroot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
